CREATE TABLE gtg_ac_mdlqry_node (
    ID                       NUMBER(18, 0),
    MODEL_QUERY_ID           NUMBER(18, 0),
    URI                      VARCHAR2(800)    NOT NULL,
    DS_KEY                   VARCHAR2(256),
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    ID                       NUMBER(18, 0),
    MODEL_QUERY_ID           NUMBER(18, 0),
    URI                      VARCHAR2(800)    NOT NULL,
    DS_KEY                   VARCHAR2(256),
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_gtg_ac_mdlqry_node PRIMARY KEY (ID, MODEL_QUERY_ID, ID, MODEL_QUERY_ID)
);
